package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Cloak;
import org.project.item.weapons.Wand;
import org.project.item.weapons.Weapon;
import org.project.item.armors.Armor;

public class Wizard extends Player {

    private static  int Maxhp = 500;
    private static  int Maxmp = 45;
    private static  int SpecialabilitymanaCost = 15;

    public Wizard (String name) {
        super(name,Maxhp,Maxmp,new Wand(),new Cloak(),Maxhp,Maxmp);
    }

    @Override
    public void specialAbility(Entity target) {


        if (getMp() < SpecialabilitymanaCost) {

            System.out.println("Not enough mana!");

            return;
        }

        System.out.println("Casting spell...");
        target.takeDamage(40);
        this.heal(20);
        fillMana(-SpecialabilitymanaCost);
    }

    @Override
    public int specialAblMPCost() {
        return SpecialabilitymanaCost;
    }
}

